Home

# Class goog.ui.GraphicsRoundedPanel

RoundedPanel class that uses goog.graphics to create the rounded corners. Do not instantiate directly. Instead, call goog.ui.RoundedPanel.create().

extends goog.ui.BaseRoundedPanel

Instance Method Summary
| `calculateArcParameters_(?goog.math.Size elementSize)` Calculates the start coordinates, circle centers, and angles, for the rounded corners at each corner of the panel.
| `decorateInternal(?Element element)` This method performs all the necessary DOM manipulation to create the panel. Overrides {@link goog.ui.Component#decorateInternal}.
| `disposeInternal()` Disposes of the component. Calls {@code exitDocument}, which is expected to remove event handlers and clean up the component. Propagates the call to the component's children, if any. Removes the component's DOM from the document unless it was decorated.